Method: logTypes.runAnalysis

Full name: projects.locations.instances.logTypes.runAnalysis

Initiates a Downstream Impact Detection (DID) analysis. This is a Long-Running Operation (LRO).

HTTP request

POST https://{endpoint}/v1alpha/{name}:runAnalysis

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The resource name of the target parser version to evaluate (RC/upgrade/rollback). Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parsers/{parser}

Query parameters

Parameters
targetParser

string

Required. The resource name of the target parser version to evaluate (RC/upgrade/rollback). Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parsers/{parser}

reportType

enum (ReportType)

Required. The type of the analysis to trigger.

pullRequest

string

Optional. Required. The associated Pull Request for the analysis from github.com/chronicle/content-hub. Format: "content-hub/pull/{pr_number}" Example: "content-hub/pull/564"

baseParser

string

Optional. The resource name of the base parser version. If not specified, the current active parser version will be used. Format: projects/{project}/locations/{location}/instances/{instance}/logTypes/{logType}/parsers/{parser}

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.